#include <avr/power.h>
#include <Adafruit_NeoPixel.h>

int leds = 8;
#define neopix 10
int button = 9;
int light = 250;
int i = 0;

int mode = 0;

Adafruit_NeoPixel pixels = Adafruit_NeoPixel(2, neopix, NEO_GRB + NEO_KHZ800);

void setup() {  
  if (F_CPU == 8000000) clock_prescale_set(clock_div_1);
  pixels.begin();
  pixels.show();

  pinMode(leds, OUTPUT);
  pinMode(button, INPUT);
}

// the loop routine runs over and over again forever:
void loop() {
  light = 100;

  if (digitalRead(button) == 0) {
    delay(250);
    if (digitalRead(button) == 0) {
      mode = mode + 1;
      if (mode == 4) {
        mode = 0;
      }
    }
  }

  if (mode == 0) {
    pixels.setPixelColor(0, light,0,0);
    pixels.setPixelColor(1, 0,light,0);
    pixels.show();
    for (i=0;i<1000;i=i+4) {
      analogWrite(leds,i/4);
      delay(1);
    }

    pixels.setPixelColor(0, 0,light,0);
    pixels.setPixelColor(1, 0,0,light);
    pixels.show();
    for (i=1000;i>0;i=i-4) {
      analogWrite(leds,i/4);
      delay(1);
    }
  }

  if (mode == 1) {
    for (i=0;i<150;i++) {
      pixels.setPixelColor(0, 0,i,0);
      pixels.setPixelColor(1, 0,i,0);
      analogWrite(leds,i*150/255);
      pixels.show();
      delay(1);
    }
    for (i=150;i>0;i--) {
      pixels.setPixelColor(0, 0,i,0);
      pixels.setPixelColor(1, 0,i,0);
      analogWrite(leds,i*150/255);
      pixels.show();
      delay(1);
    }
  }

  if (mode == 2) {
    analogWrite(leds,0);
    
    pixels.setPixelColor(0, 75,0,0);
    pixels.setPixelColor(1, 75,0,0);
    pixels.show();
    delay(500);
    
    pixels.setPixelColor(0, 0,75,0);
    pixels.setPixelColor(1, 0,75,0);
    pixels.show();
    delay(500);
    
    pixels.setPixelColor(0, 0,0,75);
    pixels.setPixelColor(1, 0,0,75);
    pixels.show();
    delay(500);
    
    pixels.setPixelColor(0, 75,0,75);
    pixels.setPixelColor(1, 75,0,75);
    pixels.show();
    delay(500);
    
    pixels.setPixelColor(0, 0,75,75);
    pixels.setPixelColor(1, 0,75,75);
    pixels.show();
    delay(500);
    
    pixels.setPixelColor(0, 75,75,0);
    pixels.setPixelColor(1, 75,75,0);
    pixels.show();
    delay(500);
    
    pixels.setPixelColor(0, 75,75,75);
    pixels.setPixelColor(1, 75,75,75);
    pixels.show();
    delay(500);
  }
  
  if (mode == 3) {
    pixels.setPixelColor(0, 75,0,0);
    pixels.setPixelColor(1, 75,0,0);
    pixels.show();
    delay(50);
    
    pixels.setPixelColor(0, 0,75,0);
    pixels.setPixelColor(1, 0,75,0);
    pixels.show();
    delay(50);
    
    pixels.setPixelColor(0, 0,0,75);
    pixels.setPixelColor(1, 0,0,75);
    pixels.show();
    delay(50);
    
    pixels.setPixelColor(0, 75,0,75);
    pixels.setPixelColor(1, 75,0,75);
    pixels.show();
    delay(50);
    
    pixels.setPixelColor(0, 0,75,75);
    pixels.setPixelColor(1, 0,75,75);
    pixels.show();
    delay(50);
    
    pixels.setPixelColor(0, 75,75,0);
    pixels.setPixelColor(1, 75,75,0);
    pixels.show();
    delay(50);
    
    pixels.setPixelColor(0, 75,75,75);
    pixels.setPixelColor(1, 75,75,75);
    pixels.show();
    delay(50);
  }



}





